import json

def load_metric(kind = "foot_distance", **kwargs):
    if kind == "foot_distance":
        from magic_motion_matrix.foot_distance.FootDistance import FOOTDISTANCE
        return FOOTDISTANCE(**kwargs)
    elif kind == "hip_to_right_shoulder_dist":
        from magic_motion_matrix.hip_to_right_shoulder.HipToRightShoulder import HipToRightShoulder
        return HipToRightShoulder(**kwargs)
    elif kind == "hip_to_left_shoulder_dist":
        from magic_motion_matrix.hip_to_left_shoulder.HipToLeftShoulder import HipToLeftShoulder
        return HipToLeftShoulder(**kwargs)
    elif kind == "foot_arc_right":
        from magic_motion_matrix.right_foot_arc.RightFootArc import RightFootArc
        return RightFootArc(**kwargs)
    elif kind == "foot_arc_left":
        from magic_motion_matrix.left_foot_arc.LeftFootArc import LeftFootArc 
        return LeftFootArc(**kwargs)
    elif kind == "trunk_tilt_angle":
        from magic_motion_matrix.trunk_tilt_angle.TrunkTiltAngle import TrunkTiltAngle
        return TrunkTiltAngle(**kwargs)
    elif kind == "right_hip_shoulder_sepration_angle":
        from magic_motion_matrix.right_hip_shoulder_sepration_angle.RightHipShoulderSeprationAngle import RightHipShoulderSeprationAngle
        return RightHipShoulderSeprationAngle(**kwargs)
    elif kind == "left_hip_shoulder_sepration_angle":
        from magic_motion_matrix.left_hip_shoulder_sepration_angle.LeftHipShoulderSeprationAngle import LeftHipShoulderSeprationAngle
        return LeftHipShoulderSeprationAngle(**kwargs)
    elif kind == "right_fore_arm_angle":
        from magic_motion_matrix.right_fore_arm_angle.RightForearmAngle import RightForearmAngle
        return RightForearmAngle(**kwargs)
    elif kind == "left_fore_arm_angle":
        from magic_motion_matrix.left_fore_arm_angle.LeftForearmAngle import LeftForearmAngle
        return LeftForearmAngle(**kwargs)
    
def get_metrix():
    with open('magic_motion_matrix/config/config.json') as json_file:
        config = json.load(json_file)
    return config